<Serializable()> _
Public Class EntityContent
    <Serializable()> _
    Public Class GetCartReponse
        Inherits ProviderResults
        Implements IProviderResults

        Private m_VisitorIDField As Integer
        Private m_orderIDField As Integer
        Private m_GUIDField As String
        Private m_shoppingCartField As ShoppingCart
        Private m_cartAddressField As Address


        Public Property VisitorID() As Integer
            Get
                Return Me.m_VisitorIDField
            End Get
            Set(ByVal value As Integer)
                Me.m_VisitorIDField = value
            End Set
        End Property
        Public Property GUID() As String
            Get
                Return Me.m_GUIDField
            End Get
            Set(ByVal value As String)
                Me.m_GUIDField = value
            End Set
        End Property
        Public Property OrderID() As Integer
            Get
                Return Me.m_orderIDField
            End Get
            Set(ByVal value As Integer)
                Me.m_orderIDField = value
            End Set
        End Property
        Public Property sShoppingCart() As ShoppingCart
            Get
                Return Me.m_shoppingCartField
            End Get
            Set(ByVal value As ShoppingCart)
                Me.m_shoppingCartField = value
            End Set
        End Property
        Public Property aAddress() As Address
            Get
                Return Me.m_cartAddressField
            End Get
            Set(ByVal value As Address)
                Me.m_cartAddressField = value
            End Set
        End Property

    End Class



    <Serializable()> _
    Public Class PersistCartRequest
        Inherits ProviderRequests
        Implements IProviderParameters

        Private m_orderIDField As Integer
        Private m_GUIDField As String
        Private m_shoppingCartField As ShoppingCart
        Private m_cartAddressField As Address


        Public Property GUID() As String
            Get
                Return Me.m_GUIDField
            End Get
            Set(ByVal value As String)
                Me.m_GUIDField = value
            End Set
        End Property
        Public Property OrderID() As Integer
            Get
                Return Me.m_orderIDField
            End Get
            Set(ByVal value As Integer)
                Me.m_orderIDField = value
            End Set
        End Property
        Public Property sShoppingCart() As ShoppingCart
            Get
                Return Me.m_shoppingCartField
            End Get
            Set(ByVal value As ShoppingCart)
                Me.m_shoppingCartField = value
            End Set
        End Property
        Public Property aAddress() As Address
            Get
                Return Me.m_cartAddressField
            End Get
            Set(ByVal value As Address)
                Me.m_cartAddressField = value
            End Set
        End Property











    End Class

End Class
